package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import java.util.Calendar;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CalculateDateAction.class */
public class CalculateDateAction extends LifeAction {
    private String beginDate;
    private String endDate;
    private String timeSplit;
    private String type;

    public String execute(Context context) throws GENEException {
        Trace.logInfo("输入参数***************************间隔分钟：", this.timeSplit);
        String result = (String) context.getDataValue(this.timeSplit);
        if ("0".equals(this.type)) {
            String endDate = (String) context.getDataValue(this.endDate);
            Trace.logInfo("结束日期：", endDate);
            String result2 = calculateBeginDate(endDate, result);
            context.setDataValue(this.beginDate, result2);
            Trace.logInfo("结束日期计算结果：", result2);
            return "0";
        }
        if ("1".equals(this.type)) {
            String beginDate = (String) context.getDataValue(this.beginDate);
            Trace.logInfo("结束日期：", beginDate);
            String result3 = calculateEndDate(beginDate, result);
            context.setDataValue(this.endDate, result3);
            Trace.logInfo("起始日期计算结果：", result3);
            return "0";
        }
        return "0";
    }

    public String calculateBeginDate(String endDate, String _timeSplit) {
        return calculate(endDate, this.type, _timeSplit);
    }

    public String calculate(String dateStr, String type, String _timeSplit) {
        long time;
        int minites = Integer.parseInt(_timeSplit);
        Calendar c = Calendar.getInstance();
        int year = Integer.parseInt(dateStr.substring(0, 4));
        int month = Integer.parseInt(dateStr.substring(4, 6));
        int day = Integer.parseInt(dateStr.substring(6, 8));
        int hour = Integer.parseInt(dateStr.substring(8, 10));
        int minite = Integer.parseInt(dateStr.substring(10, 12));
        int second = Integer.parseInt(dateStr.substring(12, 14));
        c.clear();
        c.set(year, month - 1, day, hour, minite, second);
        long time2 = minites * 60 * 1000;
        if ("0".equals(type)) {
            time = c.getTimeInMillis() - time2;
        } else {
            time = c.getTimeInMillis() + time2;
        }
        c.setTimeInMillis(time);
        int year2 = c.get(1);
        int month2 = c.get(2) + 1;
        int day2 = c.get(5);
        int hour2 = c.get(10);
        int minite2 = c.get(12);
        int second2 = c.get(13);
        StringBuffer result = new StringBuffer();
        result.append(year2);
        if (month2 < 10) {
            result.append("0");
        }
        result.append(month2);
        if (day2 < 10) {
            result.append("0");
        }
        result.append(day2);
        if (hour2 < 10) {
            result.append("0");
        }
        result.append(hour2);
        if (minite2 < 10) {
            result.append("0");
        }
        result.append(minite2);
        if (second2 < 10) {
            result.append("0");
        }
        result.append(second2);
        return result.toString();
    }

    public String calculateEndDate(String beginDate, String _timeSplit) {
        return calculate(beginDate, this.type, _timeSplit);
    }

    public String getBeginDate() {
        return this.beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return this.endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getTimeSplit() {
        return this.timeSplit;
    }

    public void setTimeSplit(String timeSplit) {
        this.timeSplit = timeSplit;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
